Bino(1)

NAME
Bino - a player for stereoscopic videos.

SYNOPSIS
bino [option...] [file-0] [file-1] [file-2]

DESCRIPTION
Bino plays stereoscopic videos, also known as 3D videos. Such videos have separate views for the left and right eye and thus allow depth perception through stereopsis.
The input streams (one or two video streams, zero or one audio streams) can be in one, two, or three input files. The files are decoded with the FFmpeg libraries, so URLs are supported.
If input files are given, Bino immediately starts playing them. Otherwise, it starts in GUI mode.

--help
    Print help

--version
    Print version

-g|--gui
    Show the GUI even if input files are given on the command line.

-l|--log-level=LEVEL
    Select log level: debug, info, warning, error, or quiet.

-i|--input=TYPE
    Select input type.

    mono
        Single view

    separate
        Left/right view in separate streams

    top-bottom
        Left view top, right view bottom

    top-bottom-half
        Left view top, right view bottom, half height

    left-right
        Left view left, right view right

    left-right-half
        Left view left, right view right, half width

    even-odd-rows
        Left view even rows, right view odd rows

    The default is to autodetect the input type from meta data stored in the file. If this fails, Bino tries to autodetect the input type based on the file name, by looking at the last part of the file name before the file name extension (.ext). If that fails, too, Bino guesses based on the resolution of the input.
    The following file name forms are recognized:

    *-lr.ext
        left-right

    *-lrh.ext or *-lrq.ext
        left-right-half

    *-rl.ext
        left-right swapped

    *-rlh.ext or *-rlq.ext
        left-right-half swapped

    *-tb.ext or *-ab.ext
        top-bottom

    *-tbh.ext or *-abq.ext
        top-bottom-half

    *-bt.ext or *-ba.ext
        top-bottom swapped

    *-bth.ext or *-baq.ext
        top-bottom-half swapped

    *-eo.ext or *-eoq.ext or *-3dir.ext
        even-odd-rows

    *-oe.ext or *-oeq.ext or *-3di.ext
        even-odd-rows swapped

    *-2d.ext
        mono

-s|--swap-eyes
    Swap left/right view

-o|--output=TYPE
    Select output type.

    mono-left
        Left view only

    mono-right
        Right view only

    top-bottom
        Left view top, right view bottom

    top-bottom-half
        Left view top, right view bottom, half height

    left-right
        Left view left, right view right

    left-right-half
        Left view left, right view right, half width

    even-odd-rows
        Left view even rows, right view odd rows

    even-odd-columns
        Left view even columns, right view odd columns

    checkerboard
        Left and right view in checkerboard pattern

    anaglyph
        Red/cyan anaglyph, default method, same as anaglyph-dubois"

    anaglyph-monochrome
        Red/cyan anaglyph, monochrome method

    anaglyph-full-color
        Red/cyan anaglyph, full color method

    anaglyph-half-color
        Red/cyan anaglyph, half color method

    anaglyph-dubois
        Red/cyan anaglyph, high-quality Dubois method

    stereo
        OpenGL quad-buffer stereo

    equalizer
        Multi-display OpenGL via Equalizer with a 2D canvas setup

    equalizer-3d
        Multi-display OpenGL via Equalizer with a 3D screen setup

    For stereo input, the default is stereo if the display supports it, otherwise anaglyph. The default for mono input is mono-left.

-f|--fullscreen
    Fullscreen

-c|--center
    Center window on screen

-b|--benchmark
    Benchmark mode: no audio, no time synchronization, output of frames-per-second measurements.

INTERACTIVE CONTROL

q or ESC
    quit

p or SPACE
    Pause / unpause

f   Toggle fullscreen

c   Center window

s   Swap left/right view

1, 2
    Adjust contrast

3, 4
    Adjust brightness

5, 6
    Adjust hue

7, 8
    Adjust saturation

left, right
    Seek 10 seconds backward / forward

up, down
    Seek 1 minute backward / forward

page up, page down
    Seek 10 minutes backward / forward

AUTHORS
Bino was written by Martin Lambers <marlam@marlam.de>.

SEE ALSO
mplayer(1), ffmpeg(1)